package ch.sahits.game.tetris.event;

import ch.sahits.game.event.Event;
import ch.sahits.game.tetris.model.TetrisViewModel;
/**
 * Event indicating that the playing field was updated.
 * @author andi
 *
 */
public class PlayFieldUpdateEvent extends Event {

	private final TetrisViewModel model;

	/**
	 * @param model
	 */
	public PlayFieldUpdateEvent(TetrisViewModel model) {
		super();
		this.model = model;
	}

	/**
	 * @return the model
	 */
	public TetrisViewModel getModel() {
		return model;
	}
	
	
}
