package ch.sahits.game.tetris.model;

import java.awt.Color;
/**
 * Definition of the possible block types.
 * @author andi
 *
 */
public enum EBuildingBlocks {

	I(Color.RED),
	L_LEFT(Color.MAGENTA),
	L_RIGHT(Color.YELLOW),
	CUBE(Color.BLUE),
	T(Color.GREEN),
	LEFT(Color.CYAN),
	RIGHT(Color.ORANGE);
	
	private final Color color;

	/**
	 * @param color
	 */
	private EBuildingBlocks(Color color) {
		this.color = color;
	}

	/**
	 * @return the color
	 */
	public Color getColor() {
		return color;
	}
	
	
}
