package ch.sahits.game.tetris.ctrl;

import java.util.Random;

import ch.sahits.game.tetris.model.EBuildingBlocks;
/**
 * Randomizer to create new shapes.
 * @author andi
 *
 */
public class Randomizer {

	private final EBuildingBlocks[] shapes;
	private final Random rnd;
	private final int nbOfElements;
	
	public Randomizer() {
		rnd = new Random(System.currentTimeMillis());
		shapes = EBuildingBlocks.values();
		nbOfElements = shapes.length;
	}
	
	public EBuildingBlocks nextShape(){
		int index = rnd.nextInt(nbOfElements);
		return shapes[index];
	}
}
