package ch.sahits.game.tetris.event;

import ch.sahits.game.event.Event;
/**
 * Update of the game state
 * @author andi
 *
 */
public class GameStateChangeEvent extends Event {
	private final EGameState nextGameState;

	/**
	 * @param nextGameState
	 */
	public GameStateChangeEvent(EGameState nextGameState) {
		super();
		this.nextGameState = nextGameState;
	}

	/**
	 * @return the nextGameState
	 */
	public EGameState getNextGameState() {
		return nextGameState;
	}
	
}
