package ch.sahits.game.tetris.ui;
/**
 * Set of cunstants used in the user interface.
 * @author andi
 *
 */
public final class TetrisConstants {
	/** Number of blocks per row */
	public final static int BLOCKS_PER_ROW = 10;
	/** Size of a single block */
	public final static int BLOCK_SIZE = 20;
	/** Number of rows */
	public final static int NUMBER_OF_ROWS = 20;
	/** Thickness of the tetris border */
	public final static int BORDER_THICKNESS = 20;
	/** Margin in the tetris view */
	public final static int MARGIN = 30;
	/** Border around the image */
	public final static int PICTURE_VIEW_BORDER = 100;
	/** Ratio to slow down the updates */
	public final static int FPS_UPS_RATIO = 4;
}
